Search documentation of stripe_elixir

# StripeElixir.Resources.AfterpayClearpay (stripe_elixir v0.1.0)

Copy Markdown View Source

CheckoutAfterpayClearpayPaymentMethodOptions

## Summary

### Types

t()

### Functions

object_name()

## Types

# t()

    @type t() :: %StripeElixir.Resources.AfterpayClearpay{
      capture_method: String.t() | nil,
      setup_future_usage: String.t() | nil
    }

- `capture_method` - Controls when the funds will be captured from the customer's account. Possible values: `manual`.
- `setup_future_usage` - Indicates that you intend to make future payments with this PaymentIntent's payment method.

If you provide a Customer with the PaymentIntent, you can use this parameter to attach the payment method to the Customer after the PaymentIntent is confirmed and the customer completes any required actions. If you don't provide a Customer, you can still attach the payment method to a Customer after the transaction completes.

If the payment method is `card_present` and isn't a digital wallet, Stripe creates and attaches a generated_card payment method representing the card to the Customer instead.

When processing card payments, Stripe uses `setup_future_usage` to help you comply with regional legislation and network rules, such as SCA. Possible values: `none`.

## Functions

# object_name()